[Darshan-commits] [Git][darshan/darshan][master] refactor automated builds, and add theta hooks

Shane Snyder xgitlab at cels.anl.gov
Tue Apr 10 17:26:37 CDT 2018


Shane Snyder pushed to branch master at darshan / darshan


Commits:
9f1250a9 by Shane Snyder at 2018-04-10T17:26:02-05:00
refactor automated builds, and add theta hooks

- - - - -


3 changed files:

- darshan-test/automated/common/configure.sh
- darshan-test/automated/mcs/configure.sh
- + darshan-test/automated/theta/configure.sh


Changes:

=====================================
darshan-test/automated/common/configure.sh
=====================================
--- a/darshan-test/automated/common/configure.sh
+++ b/darshan-test/automated/common/configure.sh
@@ -9,6 +9,10 @@ if [[ $NODE_LABELS =~ "mcs" ]];
 then
   source darshan-test/automated/mcs/configure.sh
   status=$?
+elif [[ $NODE_LABELS =~ "Theta" ]];
+then
+  source darshan-test/automated/theta/configure.sh
+  status=$?
 else
   # unknown machine
   status=100


=====================================
darshan-test/automated/mcs/configure.sh
=====================================
--- a/darshan-test/automated/mcs/configure.sh
+++ b/darshan-test/automated/mcs/configure.sh
@@ -10,7 +10,7 @@ util_result=""
 thedate=$(date)
 
 cd build/darshan-runtime
-../../darshan-runtime/configure --prefix=$basedir/install --with-mem-align=16 --with-jobid-env=DARSHAN_JOBID --with-log-path=$basedir/logs --with-log-path-by-env=DARSHAN_LOGPATH CC=mpicc
+../../darshan-runtime/configure --prefix=$basedir/install --with-mem-align=16 --with-jobid-env=DARSHAN_JOBID --with-log-path=$basedir/logs CC=mpicc
 runtime_status=$?
 if [ $runtime_status -ne 0 ]; then
   fcount=$((fcount+1));


=====================================
darshan-test/automated/theta/configure.sh
=====================================
--- /dev/null
+++ b/darshan-test/automated/theta/configure.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Run configure for runtime and utils
+
+basedir=$PWD
+status=0
+fcount=0
+runtime_result=""
+util_result=""
+thedate=$(date)
+
+# unload any darshan module and use GNU compilers
+module unload darshan
+module switch PrgEnv-intel PrgEnv-gnu
+
+cd build/darshan-runtime
+../../darshan-runtime/configure --prefix=$basedir/install --with-mem-align=64 --with-jobid-env=COBALT_JOBID --with-log-path=$basedir/logs --disable-cuserid --host=x86_64 CC=cc
+runtime_status=$?
+if [ $runtime_status -ne 0 ]; then
+  fcount=$((fcount+1));
+  runtime_result="<error type='$runtime_status' message='configure failed' />"
+fi
+
+cd ../darshan-util
+../../darshan-util/configure --prefix=$basedir/install
+util_status=$?
+if [ $util_status -ne 0 ]; then
+  fcount=$((fcount+1));
+  util_result="<error type='$util_status' message='configure failed' />"
+fi
+
+cd ../../;
+
+echo "
+<testsuites>
+  <testsuite name='configure' tests='2' failures='$fcount' time='$thedate'>
+    <testcase name='darshan-runtime' time='$thedate'>
+    $runtime_result
+    </testcase>
+    <testcase name='darshan-util' time='$thedate'>
+    $util_result
+    </testcase>
+  </testsuite>
+</testsuites>
+" > configure-result.xml
+exit $fcount



View it on GitLab: https://xgitlab.cels.anl.gov/darshan/darshan/commit/9f1250a954c8a2b8fb237ae16682e0ff44558fd7

---
View it on GitLab: https://xgitlab.cels.anl.gov/darshan/darshan/commit/9f1250a954c8a2b8fb237ae16682e0ff44558fd7
You're receiving this email because of your account on xgitlab.cels.anl.gov.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mcs.anl.gov/pipermail/darshan-commits/attachments/20180410/94bb660e/attachment-0001.html>


More information about the Darshan-commits mailing list